Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toxi.util.datatypes
Class IntegerRange

    java.lang.Object
      toxi.util.datatypes.IntegerRange

Direct Known Subclasses:
  BiasedIntegerRange

    public class IntegerRange

extends java.lang.Object

Field Summary
`int` | `currValue`
`int` | `max`
`int` | `min`

Constructor Summary
`IntegerRange()`
`IntegerRange(int min, int max)`

Method Summary
`int` | `adjustCurrentBy(int val)`
`IntegerRange` | `copy()`
`static IntegerRange` | `fromSamples(java.util.List<java.lang.Integer> samples)`
`int` | `getCurrent()`
`int` | `getMedian()`
`boolean` | `isValueInRange(int val)`
`int` | `pickRandom()`
`IntegerRange` | `seed(long seed)`
`int` | `setCurrent(int val)`
`IntegerRange` | `setRandom(java.util.Random rnd)`
`java.lang.Integer[]` | `toArray()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### min

    public int min

### max

    public int max

### currValue

    public int currValue

Constructor Detail

### IntegerRange

    public IntegerRange()

### IntegerRange

    public IntegerRange(int min,
                        int max)

Method Detail

### fromSamples

    public static IntegerRange fromSamples(java.util.List<java.lang.Integer> samples)

### adjustCurrentBy

    public int adjustCurrentBy(int val)

### copy

    public IntegerRange copy()

### getCurrent

    public int getCurrent()

### getMedian

    public int getMedian()

### isValueInRange

    public boolean isValueInRange(int val)

### pickRandom

    public int pickRandom()

### seed

    public IntegerRange seed(long seed)

### setCurrent

    public int setCurrent(int val)

### setRandom

    public IntegerRange setRandom(java.util.Random rnd)

### toArray

    public java.lang.Integer[] toArray()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD